<template>
  <div id="list-1">
    <van-row>
      <van-col span="24" class="main">
        <van-col span="24" class="list" v-for="(item, index) in list" :key="index">
          <van-col span="24" class="title textOver">
            {{ item.name }}
          </van-col>
          <van-col span="24" class="other">
            <van-col span="24" class="otherInfo">
              专利有效性：<span>{{ item.term || '暂无' }}</span>
            </van-col>
            <van-col span="24" class="otherInfo">
              申请时间：<span>{{ item.create_date || '暂无' }}</span>
            </van-col>
          </van-col>
          <van-col span="24" class="btn">
            <van-button type="info" size="small" @click="detail(item)">查看信息</van-button>
          </van-col>
        </van-col>
      </van-col>
    </van-row>
  </div>
</template>

<script>
import { mapState, createNamespacedHelpers } from 'vuex';
const moment = require('moment');
export default {
  name: 'list-1',
  props: { list: { type: Array } },
  components: {},
  data: function () {
    return {};
  },
  created() {},
  methods: {
    detail(data) {
      this.$emit('detail', data);
    },
    // 过滤时间
    getDate(val) {
      let newDate = moment(val).format('YYYY-MM-DD');
      if (newDate) return newDate;
    },
  },
  computed: {
    ...mapState(['user']),
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
  watch: {
    test: {
      deep: true,
      immediate: true,
      handler(val) {},
    },
  },
};
</script>

<style lang="less" scoped>
.main {
  margin: 8px 0 0 0;
  .list {
    background-color: #fff;
    margin: 0 0 10px 0;
    box-shadow: 0 0 5px #f1f1f1;
    padding: 8px;
    .title {
      font-size: 16px;
      font-weight: bold;
      margin: 0 0 5px 0;
    }
    .other {
      .otherInfo {
        font-size: 14px;
        color: #666;
        margin: 0 0 5px 0;
        span {
          color: #000;
        }
      }
    }
    .btn {
      text-align: center;
      .van-button {
        margin: 0 10px;
      }
    }
  }
}
</style>
